# Namespace: md4

## md4

js-md4

Version:
  - 0.3.2
Author:
  - Yi-Cyuan Chen [emn178@gmail.com]
Copyright:
  - Yi-Cyuan Chen 2015-2027
License:
  - MIT
Source:
  - md4.js, line 1

### Methods

#### (static) array(message) → {Array}

Output hash as bytes array

##### Parameters:

Name | Type | Description
--- | --- | ---
`message` | String | Array | Uint8Array | ArrayBuffer | message to hash

Source:
  - md4.js, line 54

##### Returns:

Bytes array

Type
  Array

##### Example

    md4.array('The quick brown fox jumps over the lazy dog');

#### (static) buffer(message) → {ArrayBuffer}

Output hash as ArrayBuffer

##### Parameters:

Name | Type | Description
--- | --- | ---
`message` | String | Array | Uint8Array | ArrayBuffer | message to hash

Source:
  - md4.js, line 63

##### Returns:

ArrayBuffer

Type
  ArrayBuffer

##### Example

    md4.buffer('The quick brown fox jumps over the lazy dog');

#### (static) create() → {Md4}

Create Md4 object

Source:
  - md4.js, line 78

##### Returns:

MD4 object.

Type
  Md4

##### Example

    var hash = md4.create();

#### (static) digest(message) → {Array}

Output hash as bytes array

##### Parameters:

Name | Type | Description
--- | --- | ---
`message` | String | Array | Uint8Array | ArrayBuffer | message to hash

Source:
  - md4.js, line 45

##### Returns:

Bytes array

Type
  Array

##### Example

    md4.digest('The quick brown fox jumps over the lazy dog');

#### (static) hex(message) → {String}

Output hash as hex string

##### Parameters:

Name | Type | Description
--- | --- | ---
`message` | String | Array | Uint8Array | ArrayBuffer | message to hash

Source:
  - md4.js, line 34

##### Returns:

Hex string

Type
  String

##### Example

    md4.hex('The quick brown fox jumps over the lazy dog');
    // equal to
    md4('The quick brown fox jumps over the lazy dog');

#### (static) update(message) → {Md4}

Create and update Md4 object

##### Parameters:

Name | Type | Description
--- | --- | ---
`message` | String | Array | Uint8Array | ArrayBuffer | message to hash

Source:
  - md4.js, line 86

##### Returns:

MD4 object.

Type
  Md4

##### Example

    var hash = md4.update('The quick brown fox jumps over the lazy dog');
    // equal to
    var hash = md4.create();
    hash.update('The quick brown fox jumps over the lazy dog');